# KungFu - A GStreamer based DVD ripper
# Copyright (C) 2006 Jason Gerard DeRose <jderose@jasonderose.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

from os import path
import gettext
from gettext import gettext as _
import kf_info
from kf_util import Paths

import logging
log = logging.getLogger('kf_strings')

# Setup gettext
if not path.isdir(Paths.locale):
	log.error('Locale directory %s does not exist', Paths.locale)
gettext.bindtextdomain(kf_info.name, Paths.locale)
gettext.textdomain(kf_info.name)

# I know this is a bit non-standard, but I find that having all the user
# visible strings in one place greatly helps with the quality and consistency
# of the text.

_map = {
	# Title
	'name': _('KungFu DVD Ripper'),
	'description': _('Backup DVDs onto your hard drive'),

	# Frame labels
	'choose_source': _('Choose Source to Rip'),
	'choose_titles': _('Choose Titles to Rip'),
	'no_video': _('No DVD Video Found'),
	'reading_titles': _('Reading Titles...'),
	'no_title': _('No Title'),
	'title_n': _('Title %d'),
	'playing_n': _('Playing Title %d...'),
	'ripping_n': _('Ripping Title %d...'),
	'ripping_n_paused': _('Ripping Title %d (PAUSED)'),
	'ripping_this': _('Ripping this Title...'),
	'ripping_these': _('Ripping these Titles...'),
	
	# Table row labels
	'audio_quality': _('Audio Quality:'),
	'video_quality': _('Video Quality:'),
	'video_size': _('Video Size:'),
	'outfile': _('Output File:'),
	'title_progress': _('Title:'),
	'total_progress': _('Total:'),
	'source_dvd': _('DVD:'),
	'source_folder': _('Folder:'),
	'source_iso': _('ISO:'),
	
	# Button labels
	'rip_this': _('Rip this Title'),
	'rip_these': _('Rip these Titles'),
	'pause_rip': _('Pause Ripping'),
	'resume_rip': _('Resume Ripping'),
	'abort_rip': _('Abort this Rip'),
	
	# Dialog titles
	'choose_source_folder': _('Choose folder containing DVD video...'),
	'save_as': _('Save title as...'),
	'confirm_close': _('Close KungFu?'),
	
	# Treeview column labels
	'rip_col': _('Rip'),
	'num_col': _('#'),
	'time_col': _('Time'),
	
	# Misc
	'rip_toggle': _('Rip this Title'),
	'size_full': _('Full %d:%d'),
	'size_large': _('Large %d:%d'),
	'size_medium': _('Medium %d:%d'),
	'size_small': _('Small %d:%d'),
	'rate': _('Rate: %.2fx'),
	'elapsed': _('Elapsed: %s'),
	'remaining': _('Remaining: %s'),
	'close_question': _('Closing KungFu will abort the current rip.  Close and abort?'),
	
}


def tget(key, argv=[]):
	return _map[key] % tuple(argv)
	
	
